Create a new project (requires write scope)
POST
/orgs/{orgId}/projects
Authentication
API Key (header: X-API-Key)
Path Parameters
orgId
string
required
path
Request Body required
application/jsonname
string
REQUIRED
slug
string
domain
string
Responses
201
Project created
application/jsondata
object
id
string
org_id
string
name
string
slug
string
domain
string | null
agent_mode
string
Enum:
autopilot, copilot, assistai_model
string | null
created_at
string (date-time)
409
Slug conflict
curl -X POST 'https://api.rogeriq.com/api/v1/orgs/string/projects' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "name": "string", "slug": "string", "domain": "string"}'
const response = await fetch('https://api.rogeriq.com/api/v1/orgs/string/projects', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({ "name": "string", "slug": "string", "domain": "string" })});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://api.rogeriq.com/api/v1/orgs/string/projects', headers=headers, json={ "name": "string", "slug": "string", "domain": "string"})print(response.json())
201
Response
{ "data": { "id": "<string>", "org_id": "<string>", "name": "<string>", "slug": "<string>", "domain": "<string>", "agent_mode": "autopilot", "ai_model": "<string>", "created_at": "2024-01-01T00:00:00Z" }}
API Playground
Try this endpoint
POST
/orgs/{orgId}/projects